org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlConstantExpression

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlConstantExpression

-     public class CsdlConstantExpression
      extends CsdlExpression

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CsdlConstantExpression.ConstantExpressionType` Type of the constant expression

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlConstantExpression(CsdlConstantExpression.ConstantExpressionType type)`
    `CsdlConstantExpression(CsdlConstantExpression.ConstantExpressionType type, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `CsdlConstantExpression.ConstantExpressionType` | `getType()` Returns the type of the constant expression
    `String` | `getValue()` Value of the constant expression
    `int` | `hashCode()`
    `CsdlConstantExpression` | `setValue(String value)` Sets the value of the constant expression

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlConstantExpression

          public CsdlConstantExpression(CsdlConstantExpression.ConstantExpressionType type)

    - #### CsdlConstantExpression

          public CsdlConstantExpression(CsdlConstantExpression.ConstantExpressionType type,
                                        String value)

  - ### Method Detail

    - #### getType

          public CsdlConstantExpression.ConstantExpressionType getType()

      Returns the type of the constant expression
      Returns:
        type of the constant expression

    - #### getValue

          public String getValue()

      Value of the constant expression
      Returns:
        value of the constant expression as String

    - #### setValue

          public CsdlConstantExpression setValue(String value)

      Sets the value of the constant expression
      Parameters:
        `value` - value of the constant expression
      Returns:
        this for method chaining

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.